Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFunctionSet Class Reference

`#include <vtkFunctionSet.h>`

Inheritance diagram for vtkFunctionSet:

[legend]
Collaboration diagram for vtkFunctionSet:

[legend]
List of all members.

## Detailed Description

Abstract inteface for sets of functions.

Date:
  2002/01/22 15:25:24

Revision:
  1.8

vtkFunctionSet specifies an abstract interface for set of functions of the form F_i = F_i(x_j) where F (with i=1..m) are the functions and x (with j=1..n) are the independent variables. The only supported operation is the function evaluation at x_j.

See also:
  vtkImplicitDataSet vtkInterpolatedVelocityField vtkInitialValueProblemSolver

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (83%)
  - Schroeder, Will (13%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkFunctionSet.h)`
  - .`cxx` (`/Common/vtkFunctionSet.cxx)`

Definition at line 48 of file vtkFunctionSet.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | FunctionValues (float *x, float *f)=0
virtual int | GetNumberOfFunctions ()
virtual int | GetNumberOfIndependentVariables ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkFunctionSet * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkFunctionSet ()
| ~vtkFunctionSet ()
## Protected Attributes
int | NumFuncs
int | NumIndepVars

## Member Typedef Documentation

typedef vtkObject vtkFunctionSet::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkInterpolatedVelocityField. Definition at line 51 of file vtkFunctionSet.h.

## Constructor & Destructor Documentation

vtkFunctionSet::vtkFunctionSet | ( |  | ) | `[protected]`

vtkFunctionSet::~vtkFunctionSet | ( |  | ) | `[inline, protected]`

| Definition at line 76 of file vtkFunctionSet.h.

## Member Function Documentation

virtual const char* vtkFunctionSet::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkInterpolatedVelocityField.

int vtkFunctionSet::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkInterpolatedVelocityField.

virtual int vtkFunctionSet::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkInterpolatedVelocityField.

vtkFunctionSet* vtkFunctionSet::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkInterpolatedVelocityField.

virtual void vtkFunctionSet::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkInterpolatedVelocityField.

virtual int vtkFunctionSet::FunctionValues | ( | float * | x,
|  | float * | f
| ) | `[pure virtual]`

| Evaluate functions at x_j. x and f have to point to valid float arrays of appropriate sizes obtained with GetNumberOfFunctions() and GetNumberOfIndependentVariables. Implemented in vtkInterpolatedVelocityField.

virtual int vtkFunctionSet::GetNumberOfFunctions | ( |  | ) | `[inline, virtual]`

| Return the number of functions. Note that this is constant for a given type of set of functions and can not be changed at run time. Definition at line 62 of file vtkFunctionSet.h.

virtual int vtkFunctionSet::GetNumberOfIndependentVariables | ( |  | ) | `[inline, virtual]`

| Return the number of independent variables. Note that this is constant for a given type of set of functions and can not be changed at run time. Definition at line 70 of file vtkFunctionSet.h.

## Member Data Documentation

int vtkFunctionSet::NumFuncs`[protected]`

| Definition at line 78 of file vtkFunctionSet.h.

int vtkFunctionSet::NumIndepVars`[protected]`

| Definition at line 79 of file vtkFunctionSet.h.

The documentation for this class was generated from the following file:

- Common/vtkFunctionSet.h